Match One
curl --request POST \
--url https://datamatcher-api.thedatacity.com/api/v1/match \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_name": "<string>",
"input_url": "<string>",
"postcode": "<string>",
"sic_code": "<string>",
"start_trading_date": "<string>",
"id": "<string>"
}
'import requests
url = "https://datamatcher-api.thedatacity.com/api/v1/match"
payload = {
"input_name": "<string>",
"input_url": "<string>",
"postcode": "<string>",
"sic_code": "<string>",
"start_trading_date": "<string>",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_name: '<string>',
input_url: '<string>',
postcode: '<string>',
sic_code: '<string>',
start_trading_date: '<string>',
id: '<string>'
})
};
fetch('https://datamatcher-api.thedatacity.com/api/v1/match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input_name": "Sainsbury's Supermarkets Ltd",
"id": "demo-sainsburys",
"matched_company_number": "3261722",
"matched_company_name": "SAINSBURY'S SUPERMARKETS LTD",
"active": "Active",
"rigorous_match": false,
"route": "fast",
"reasons": [],
"degraded": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Endpoints
Match One
Match a single company to a Companies House number.
POST
/
api
/
v1
/
match
Match One
Authorizations
Customer API key (dm_live_…)
Body
application/json
Response
Match result. Fields rigorous_match, route, reasons, degraded, and error are only included when the API key belongs to a superuser.
Full match result. Debug fields are returned only for superuser API keys.
Last modified on August 20, 2026
⌘I